{% extends 'base.html.twig' %}

{% block title %}Hello MatiereController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
</style>
    <!-- Inner page hedaing start -->
    <section class="irs-inner-page-heading irs-layer-black">
        <div class="container">
            <div class="row">
                <div class="col-md-12">
                    <div class="irs-inner-heading">
                        <h2>Mes Matieres </h2>
                        <i class="icofont icofont-education"></i>
                        <p><a href="index-layout1.html">HOME</a> > <a href="#"></a>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!-- Inner page hedaing end -->

   <div class="container mt-4 example-wrapper">

    <table class="table table-striped">
        <thead>
        <tr>

            <th>Matiere</th>
            <th>Coef</th>
            <th>NoteCC</th>
            <th>NoteTP</th>
            <th>NoteExamen </th>
        </tr>
        </thead>
        <tbody>

        {% for matiere in app.user.classe.matieres%}

                <tr>
                    <td>
                        <h4>   {{matiere }}</h4>
                    </td>
                    <td>
                        <h4>  {{matiere.Coef }} </h4>
                    </td>

                    {% for m in matiere.notes%}
                        {% if app.user == m.Etudiant %}
                    <td>
                        <h4>   {{m.Notecc }} </h4>
                    </td>
                    <td>
                        <h4>   {{m.Notetp}} </h4>
                    </td>
                    <td>
                        <h4>   {{m.Noteexamen }} </h4>
                    </td>
                            
                        {% endif %}

                </tr>
            {% endfor %}
        {% endfor %}
        </tbody>
    </table>



</div>
{% endblock %}
